[Snort-users] Installing Snort with PHP, MySQL, ACID,etc

David Alonso De La Vega Tapage delavegad at ...7768...
Mon Apr 21 09:28:04 EDT 2003


Yes the idea is use snort with ACID ..  but when  I configure snort 
1.9.0 and 1.9.1 don't need to configure with php or prefix ..  or apxs ..  

Only install php .. acid, apache, mysql ..  on my Linux Box ..   
configure it with mysql and  al function ok ...

for  snort 2.0.0 need all the parameter at config moment .. ?


Slighter, Tim wrote:

> can you provide more information on what you are currently trying to 
> configure...and with what?  if you are attempting configure PHP to use 
> with Apache then go with this:
>  
> ./configure --prefix=/usr/local/apache/php 
> --with-apxs=/usr/local/apache/bin/apxs 
> --with-config-file-path=/usr/local/apache/php --with-mysql --with-gd 
> --with-zlib-dir=/usr
>  
> This is assuming that you are wishing to use ACID and that you also 
> wish to use the graphing features of ACID
>  
> After all of that, you still need to edit your httpd.conf file in 
> /usr/local/apache/conf (or wherever your apache is located) and you 
> need to AddType:
>  
>
> AddType application/x-httpd-php .php
>
>  
>
> This all assuming that you are using apache_1.3.27 or lower
>
>
>  -----Original Message-----
> From: David Alonso De La Vega Tapage [mailto:delavegad at ...7768...]
> Sent: Monday, April 21, 2003 9:06 AM
> To: Gary and El Byrnes
> Cc: snort-users at lists.sourceforge.net
> Subject: Re: [Snort-users] Installing Snort with PHP, MySQL, ACID,etc
>
>     What is the special reazon to configure snort with php ..  to use
>     ACID . ?  if the answer is yes ..  you don't need to configure
>     snort with php to run acid .. only with mysql ..
>
>
>
>     Gary and El Byrnes wrote:
>
>>     Hi Everybody
>>      
>>     I hope someone can help me with my problem. I want to install
>>     Snort on RedHat 9.0. I have installed zlib, libpcap, mysql 4.,
>>     apache 1.3. All these things work.
>>      
>>     Next thing I am supposed to install PHP. When I run ./configure
>>     --prefix=/www --activate-module=src/modules/php4/libphp4.a
>>     I get error messages at the end with php modules. I check the
>>     src/modules/php4/ and there is no libphp4.a file in it.
>>      
>>     When I try to run a php webpage as a test I get a Not Found
>>     error.Obviously php isn't running.
>>      
>>     I have re-run the installation from scratch several times by now,
>>     and it is still the same.
>>      
>>     Is this something to do with RedHat 9.0? I didn't have this
>>     problem on 8.0. Is there any way to fix this without going back
>>     to 8.0.
>>      
>>     Thanks very much in advance.
>>      
>>     Regards
>>      
>>     Elvira
>>
>>------------------------------------------------------------------------
>>
>>****** Message from InterScan E-Mail VirusWall NT ******
>>
>>** No virus found in attached file noname.htm
>>** No virus found in attached file noname.htm
>>
>>Este correo ha sido revisado y esta libre de virus. Disclaimer
>>*****************     End of message     ***************
>>
>>  
>>
>

-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.snort.org/pipermail/snort-users/attachments/20030421/3d93a3ad/attachment.html>


More information about the Snort-users mailing list